Skip to main content
PATCH
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
appearance
Update Appearance Settings
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/appearance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form botIconSrc='@example-file' \
  --form userIconSrc='@example-file' \
  --form agentIconSrc='@example-file' \
  --form bubbleIconSrc='@example-file' \
  --form watermarkBrandIcon='@example-file' \
  --form 'primaryColor=<string>' \
  --form 'secondaryColor=<string>' \
  --form 'chatWindowTitle=<string>' \
  --form 'chatInputPlaceholder=<string>'
{
  "success": true,
  "message": "Appearance settings updated successfully",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tooltip": "<string>",
    "welcomeMessage": "Hi! How can I help you today?",
    "inputPlaceholderText": "Type your message...",
    "brandPrimaryColor": "#155ded",
    "brandTextColor": "#ffffff",
    "brandIconBgColor": "#6366f1",
    "showBackground": true,
    "linkColor": "#6366f1",
    "fontSize": 2,
    "chatHeight": 80,
    "externalLink": "<string>",
    "iconSize": "medium",
    "iconPosition": "right",
    "defaultMode": "widget",
    "watermarkBrandIcon": "<string>",
    "watermarkBrandText": "<string>",
    "watermarkBrandLink": "<string>",
    "watermarkBrandInfoShow": true,
    "hideWatermarkContextGPT": false,
    "rightToLeftMode": false,
    "enableDarkMode": false,
    "distanceFromBottomDesktop": 20,
    "horizontalDistanceDesktop": 20,
    "distanceFromBottomMobile": 20,
    "horizontalDistanceMobile": 20,
    "botIconSrc": "<string>",
    "userIconSrc": "<string>",
    "agentIconSrc": "<string>",
    "bubbleIconSrc": "<string>",
    "iconShape": "circle",
    "fontFamily": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Body

Update appearance settings with optional file uploads for icons. All fields are optional.

botIconSrc
file

Icon file for the bot avatar

userIconSrc
file

Icon file for the user avatar

agentIconSrc
file

Icon file for the human agent avatar

bubbleIconSrc
file

Icon file for the chat bubble launcher

watermarkBrandIcon
file

Icon file for the watermark brand logo

primaryColor
string

Primary color (hex code)

secondaryColor
string

Secondary color (hex code)

chatWindowTitle
string

Chat window title

chatInputPlaceholder
string

Placeholder text for chat input

Response

Success

success
boolean
Example:

true

message
string
Example:

"Appearance settings updated successfully"

data
object